Page 2 of 10

Posted: Mon Jul 19, 2004 9:47 am
by stephen_a
I got it past the first odd find in privmsg.php by ensuring that all my files were unix format (as I'm running on linux).

But it then fell over at:
FIND FAILED: In file [privmsg.php] could not find:

$pm_sql_user .= "AND ( ( pm.privmsgs_to_userid = " . $userdata['user_id'] . "

MOD script line #667



Oddly I'm using Easy Mod but it claims that this mod isn't EMC?

Steve

Posted: Mon Jul 19, 2004 11:34 am
by djkoelkast
besides that I also see:

Code: Select all

The following commands were not recognized by EasyMOD and were ignored. The MOD script line number is displayed. 
Unprocessed Commands 
DELETE    line #621  
					//
					// Define censored word matches
					//
					$orig_word = array();
					$replacement_word = array();
					obtain_word_list($orig_word, $replacement_word);

 
 

Posted: Mon Jul 19, 2004 11:56 am
by Graham
Delete is not a command EasyMOD recognises, you will need to carry out that part by hand.

Posted: Mon Jul 19, 2004 12:03 pm
by djkoelkast
Graham wrote: Delete is not a command EasyMOD recognises, you will need to carry out that part by hand.


ok thanks but EasyMod says: installation failed due to the failure described before, will there be an update?

Posted: Mon Jul 19, 2004 12:08 pm
by stephen_a
I just double checked for the problem I had and found that the line in my privmsg.php is actually:
$pm_sql_user = "AND ( ( pm.privmsgs_to_userid = " . $userdata['user_id'] . "


Which is what it wants to change it to..

So I commented that change out and its all run fine.

Posted: Mon Jul 19, 2004 3:54 pm
by Magee
so i think if i follow what you did, stephen mine should work..

Posted: Mon Jul 19, 2004 4:52 pm
by tbartold
Graham wrote: Delete is not a command EasyMOD recognises, you will need to carry out that part by hand.


Why do it by hand? Can't it just be changed to REPLACE with a blank line?

Posted: Mon Jul 19, 2004 5:22 pm
by Magee
my installation worked with easymod, except i had to do all the editing to privmsg.php and onwards by hand. only problem now is that it doesnt say phpBB version 2.0.10 at the bottom..

Posted: Mon Jul 19, 2004 6:57 pm
by A_Jelly_Doughnut
tbartold: No, I don't think EasyMOD supports that either.

Magee: You know to run the /install/update_to_2010.php file right?

Posted: Mon Jul 19, 2004 7:10 pm
by GPHemsley
A_Jelly_Doughnut wrote: Magee: You know to run the /install/update_to_2010.php file right?

Actually, oddly enough, I believe that file is called update_to_210.php. :?

Posted: Mon Jul 19, 2004 7:39 pm
by cifroes
stephen_a wrote: I just double checked for the problem I had and found that the line in my privmsg.php is actually:
$pm_sql_user = "AND ( ( pm.privmsgs_to_userid = " . $userdata['user_id'] . "


Which is what it wants to change it to..

So I commented that change out and its all run fine.


I also did that change to this mod and also:

If you have installed Categories hierarchy mod

this:

Code: Select all

modcp.php

#
#-----[ FIND ]---------------------------------------------
# Line 841
					'S_FORUM_SELECT' => make_forum_select("new_forum_id", false, $forum_id))
				);
must be replaced wit:

Code: Select all

modcp.php

#
#-----[ FIND ]---------------------------------------------
# Line 841
					'S_FORUM_SELECT' => selectbox("new_forum_id", false, $forum_id))
//-- fin mod : categories hierarchy ----------------------------------------------------------------
				);


Posted: Tue Jul 20, 2004 1:43 am
by tbartold
A_Jelly_Doughnut wrote: tbartold: No, I don't think EasyMOD supports that either.


Right, I've used it to do that though, but by including an extra line that doesn't change in the replace. I find EasyMOD especially useful in changing templates.

install/update_to_???.php where is it?

Posted: Tue Jul 20, 2004 4:20 am
by leoz
GPHemsley wrote:
A_Jelly_Doughnut wrote:Magee: You know to run the /install/update_to_2010.php file right?

Actually, oddly enough, I believe that file is called update_to_210.php. :?


Great where is this file?

Posted: Tue Jul 20, 2004 10:26 am
by Peatminers
Does this file make any other changes to the database, besides the version-number?

I'm running 2.0.8a at the moment and if the number is the only change, I'll adjust it manually.

@leoz: you can find the file in the "changed files only"-package in the Download section of this page.

Posted: Tue Jul 20, 2004 10:50 am
by djkoelkast
stephen_a wrote: I just double checked for the problem I had and found that the line in my privmsg.php is actually:
$pm_sql_user = "AND ( ( pm.privmsgs_to_userid = " . $userdata['user_id'] . "


Which is what it wants to change it to..

So I commented that change out and its all run fine.


Works perfectly now!